Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## play.modules.morphia
Class MorphiaPlugin

    java.lang.Object
      PlayPlugin
          play.modules.morphia.MorphiaPlugin

    public class MorphiaPlugin

extends PlayPlugin

The plugin for the Morphia module.

Author:
  greenlaw110@gmail.com

Nested Class Summary
`static class` | `MorphiaPlugin.IdType`
`static class` | `MorphiaPlugin.MorphiaModelLoader`

Field Summary
`static java.lang.String` | `PREFIX`
`static java.lang.String` | `VERSION`

Constructor Summary
`MorphiaPlugin()`

Method Summary
`java.lang.Object` | `bind(java.lang.String name, java.lang.Class clazz, java.lang.reflect.Type type, java.lang.annotation.Annotation[] annotations, java.util.Map<java.lang.String,java.lang.String[]> params)`
`java.lang.Object` | `bind(java.lang.String name, java.lang.Object o, java.util.Map<java.lang.String,java.lang.String[]> params)`
`static void` | `clearAllModelEventHandler()`
`static void` | `clearGlobalEventHandler()`
`static void` | `clearModelEventHandler(java.lang.Class<? extends Model> model)`
`static boolean` | `configured()`
`static void` | `debug(java.lang.String msg, java.lang.Object... args)`
`static void` | `debug(java.lang.Throwable t, java.lang.String msg, java.lang.Object... args)`
`static Datastore` | `ds()`
`static Datastore` | `ds(java.lang.String dbName)`
`void` | `enhance(ApplicationClass applicationClass)`
`static void` | `error(java.lang.String msg, java.lang.Object... args)`
`static void` | `error(java.lang.Throwable t, java.lang.String msg, java.lang.Object... args)`
`static void` | `fatal(java.lang.String msg, java.lang.Object... args)`
`static void` | `fatal(java.lang.Throwable t, java.lang.String msg, java.lang.Object... args)`
`static MorphiaPlugin.IdType` | `getIdType()`
`static GridFS` | `gridFs()`
`static void` | `info(java.lang.String msg, java.lang.Object... args)`
`static void` | `info(java.lang.Throwable t, java.lang.String msg, java.lang.Object... args)`
`static boolean` | `loggerRegistered()`
`play.modules.morphia.Model.Factory` | `modelFactory(java.lang.Class<? extends play.db.Model> modelClass)`
`static Morphia` | `morphia()`
`void` | `onApplicationStart()`
`void` | `onConfigurationRead()`
`void` | `onInvocationException(java.lang.Throwable e)`
`static void` | `registerGlobalEventHandler(MorphiaEvent.IMorphiaEventHandler handler)`
`static void` | `registerModelEventHandler(java.lang.Class<? extends Model> model, MorphiaEvent.IMorphiaEventHandler handler)`
`static void` | `trace(java.lang.String msg, java.lang.Object... args)`
`static void` | `trace(java.lang.Throwable t, java.lang.String msg, java.lang.Object... args)`
`static void` | `unregisterGlobalEventHandler(MorphiaEvent.IMorphiaEventHandler handler)`
`static void` | `unregisterModelEventHandler(java.lang.Class<? extends Model> model, MorphiaEvent.IMorphiaEventHandler handler)`
`static void` | `warn(java.lang.String msg, java.lang.Object... args)`
`static void` | `warn(java.lang.Throwable t, java.lang.String msg, java.lang.Object... args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

Constructor Detail

### MorphiaPlugin

    public MorphiaPlugin()

Method Detail

### info

    public static void info(java.lang.String msg,
                            java.lang.Object... args)

### info

    public static void info(java.lang.Throwable t,
                            java.lang.String msg,
                            java.lang.Object... args)

### debug

    public static void debug(java.lang.String msg,
                             java.lang.Object... args)

### debug

    public static void debug(java.lang.Throwable t,
                             java.lang.String msg,
                             java.lang.Object... args)

### trace

    public static void trace(java.lang.String msg,
                             java.lang.Object... args)

### trace

    public static void trace(java.lang.Throwable t,
                             java.lang.String msg,
                             java.lang.Object... args)

### warn

    public static void warn(java.lang.String msg,
                            java.lang.Object... args)

### warn

    public static void warn(java.lang.Throwable t,
                            java.lang.String msg,
                            java.lang.Object... args)

### error

    public static void error(java.lang.String msg,
                             java.lang.Object... args)

### error

    public static void error(java.lang.Throwable t,
                             java.lang.String msg,
                             java.lang.Object... args)

### fatal

    public static void fatal(java.lang.String msg,
                             java.lang.Object... args)

### fatal

    public static void fatal(java.lang.Throwable t,
                             java.lang.String msg,
                             java.lang.Object... args)

### loggerRegistered

    public static boolean loggerRegistered()

### configured

    public static boolean configured()

### getIdType

    public static MorphiaPlugin.IdType getIdType()

### ds

    public static Datastore ds()

### gridFs

    public static GridFS gridFs()

### ds

    public static Datastore ds(java.lang.String dbName)

### morphia

    public static Morphia morphia()

### enhance

    public void enhance(ApplicationClass applicationClass)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### registerGlobalEventHandler

    public static void registerGlobalEventHandler(MorphiaEvent.IMorphiaEventHandler handler)

### unregisterGlobalEventHandler

    public static void unregisterGlobalEventHandler(MorphiaEvent.IMorphiaEventHandler handler)

### clearGlobalEventHandler

    public static void clearGlobalEventHandler()

### registerModelEventHandler

    public static void registerModelEventHandler(java.lang.Class<? extends Model> model,
                                                 MorphiaEvent.IMorphiaEventHandler handler)

### unregisterModelEventHandler

    public static void unregisterModelEventHandler(java.lang.Class<? extends Model> model,
                                                   MorphiaEvent.IMorphiaEventHandler handler)

### clearModelEventHandler

    public static void clearModelEventHandler(java.lang.Class<? extends Model> model)

### clearAllModelEventHandler

    public static void clearAllModelEventHandler()

### onConfigurationRead

    public void onConfigurationRead()

### onApplicationStart

    public void onApplicationStart()

### onInvocationException

    public void onInvocationException(java.lang.Throwable e)

### bind

    public java.lang.Object bind(java.lang.String name,
                                 java.lang.Class clazz,
                                 java.lang.reflect.Type type,
                                 java.lang.annotation.Annotation[] annotations,
                                 java.util.Map<java.lang.String,java.lang.String[]> params)

### bind

    public java.lang.Object bind(java.lang.String name,
                                 java.lang.Object o,
                                 java.util.Map<java.lang.String,java.lang.String[]> params)

### modelFactory

    public play.modules.morphia.Model.Factory modelFactory(java.lang.Class<? extends play.db.Model> modelClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD